package ink.wgink.module.instantmessage.service;

import ink.wgink.module.instantmessage.websocket.exception.CustomHandleException;
import ink.wgink.module.instantmessage.websocket.pojo.WebSocketClientMessage;
import io.netty.channel.Channel;

/**
 * @ClassName: WebSocketTextCustomHandler
 * @Description: 文本自定义处理器
 * @Author: wanggeng
 * @Date: 2021/10/9 3:02 下午
 * @Version: 1.0
 */
public interface IWebSocketTextCustomService {

    /**
     * 消息处理逻辑
     *
     * @param channel
     * @param webSocketClientMessage
     * @throws CustomHandleException
     */
    void handle(Channel channel, WebSocketClientMessage webSocketClientMessage) throws CustomHandleException;

}
